<?php
	error_reporting(0);
	ini_set("display_errors", "0");
	ini_set("display_startup_errors", "0");

	$headers = array(
		"Access-Control-Allow-Origin: https://tstx.ru",	//! * CORS
		"Access-Control-Allow-Methods: GET",
		"Content-Type: text/plain; charset=UTF-8", // for simplicity, returns in plain text w/o using JSON
		"Date: ".date("r"), 
		"X-Robots-Tag: noindex, nofollow, noarchive",
		"X-Robots-Tag: unavailable_after: 02 Jan 1970 00:00:00 PST",
		"X-Content-Type-Options: nosniff",
		"X-Frame-Options: DENY",
		"X-XSS-Protection: 1; mode=block",
		"Referrer-Policy: no-referrer"
	);

	$datasourceProvider = "https://peapix.com/bing/feed";
	$fallbackImg = "https://pavdi.ru/iam/dummy/thumb.png";

	function fetchFeed($url) {
		$json = @file_get_contents($url);
		return $json ? @json_decode($json, true) : array();
	}

	function pickDaily($wallpapers) {
		if (!is_array($wallpapers) || empty($wallpapers)) {
			return "";
		}
		$index = mt_rand(0, count($wallpapers) - 1);
		return isset($wallpapers[$index]["imageUrl"]) ? $wallpapers[$index]["imageUrl"] : "";
	}

	$wallpapers = fetchFeed($datasourceProvider);
	$daily = pickDaily($wallpapers);

	if (empty($wallpapers)) {
		array_push($headers, "HTTP/1.1 500 Internal Server Error");
	}

	if (empty($daily)) {
		$daily = $fallbackImg;
		array_push($headers, "HTTP/1.1 204 No Content");
	} else {
		array_push($headers, "HTTP/1.1 200 OK");
	}
	
	for ($i = 0, $len = count($headers); $i < $len; $i++) {
		header($headers[$i]);
	}

	echo $daily;
?>